Skip to Content
Daylite API
Projects

List projects

Inbox is not a project: tasks without `project_id` belong to Inbox.

GET
/v1/projects

Inbox is not a project: tasks without project_id belong to Inbox.

Authorization

ApiKey
headerAuthorizationBearer <dl_…>

Personal API key created in Daylite under Settings → Developer.

Query Parameters

include_archived?string
Default"false"
Value in"true""false"
cursor?string

next_cursor from the previous page.

Lengthlength <= 200
limit?integer

Page size, 1–200.

Range1 <= value <= 200
Default50

Response Body

A page of projects.

application/json
  1. response
results*array<>
next_cursor*|

Pass as cursor to fetch the next page. null on the last page.

Example Request
curl -X GET 'https://api.daylite.me/v1/projects'
Example Response
{  "results": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "archived": true,      "revision": 0    }  ],  "next_cursor": "string"}